MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029016Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-18 12:322017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029016: Configuration, genproj.tcl - add missing definition of CSF_dl
DescriptionCSF_dl is defined within CMake scripts, but not with genproj.tcl. As result, libTKernel.so built using genproj lacks dependency from dl.so on Linux systems leading to linkage errors of executables in OCC Products:

/occt.git/./../occt.git/lin/cbp/libd/libTKernel.so: undefined reference to `dlopen'
/occt.git/./../occt.git/lin/cbp/libd/libTKernel.so: undefined reference to `dlclose'
/occt.git/./../occt.git/lin/cbp/libd/libTKernel.so: undefined reference to `dlerror'
/occt.git/./../occt.git/lin/cbp/libd/libTKernel.so: undefined reference to `dlsym'
collect2: error: ld returned 1 exit status
Process terminated with status 1 (0 minute(s), 1 second(s))
5 error(s), 0 warning(s) (0 minute(s), 1 second(s))
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0027152closedabv Undefined symbols in library TKernel.so using clang compiler 

-  Notes
(0069567)
git (administrator)
2017-08-18 12:35

Branch CR29016 has been created by kgv.

SHA-1: ac791ff92948216293dca0fef983010874f291db


Detailed log of new commits:

Author: kgv
Date: Fri Aug 18 12:33:23 2017 +0300

    0029016: Configuration, genproj.tcl - add missing definition of CSF_dl
(0069568)
kgv (developer)
2017-08-18 12:35

Please take the patch, testing is not needed.
(0069907)
git (administrator)
2017-08-25 16:13

Branch CR29016 has been deleted by kgv.

SHA-1: ac791ff92948216293dca0fef983010874f291db

- Related Changesets
occt: master 41f97958
Timestamp: 2017-08-18 09:33:23
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029016: Configuration, genproj.tcl - add missing definition of CSF_dl
mod - adm/genproj.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-18 12:32 kgv New Issue
2017-08-18 12:32 kgv Assigned To => kgv
2017-08-18 12:35 git Note Added: 0069567
2017-08-18 12:35 kgv Note Added: 0069568
2017-08-18 12:35 kgv Assigned To kgv => bugmaster
2017-08-18 12:35 kgv Severity minor => trivial
2017-08-18 12:35 kgv Status new => resolved
2017-08-18 12:35 kgv Status resolved => reviewed
2017-08-18 12:37 kgv Relationship added child of 0027152
2017-08-18 12:37 kgv Product Version 7.1.0 => 7.0.0
2017-08-18 13:14 bugmaster Status reviewed => tested
2017-08-21 09:51 bugmaster Test case number => Not required
2017-08-25 15:02 bugmaster Changeset attached => occt master 41f97958
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069907
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker